Package com.ngrok.definitions

# Class EndpointRequestHeaders.Builder

java.lang.Object
com.ngrok.definitions.EndpointRequestHeaders.Builder

Enclosing class:
  EndpointRequestHeaders

public static class EndpointRequestHeaders.Builder extends Object
Builder class for `EndpointRequestHeaders`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EndpointRequestHeaders.Builder`
  `add(Map<String,String> add)`
  a map of header key to header value that will be injected into the HTTP Request before being sent to the upstream application server
  `EndpointRequestHeaders.Builder`
  `add(Optional<Map<String,String>> add)`
  a map of header key to header value that will be injected into the HTTP Request before being sent to the upstream application server
  `EndpointRequestHeaders`
  `build()`
  Constructs the `EndpointRequestHeaders` instance.
  `EndpointRequestHeaders.Builder`
  `enabled(boolean enabled)`
  `true` if the module will be applied to traffic, `false` to disable.
  `EndpointRequestHeaders.Builder`
  `enabled(Optional<Boolean> enabled)`
  `true` if the module will be applied to traffic, `false` to disable.
  `EndpointRequestHeaders.Builder`
  `remove(List<String> remove)`
  a list of header names that will be removed from the HTTP Request before being sent to the upstream application server
  `EndpointRequestHeaders.Builder`
  `remove(Optional<List<String>> remove)`
  a list of header names that will be removed from the HTTP Request before being sent to the upstream application server

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### enabled

    public EndpointRequestHeaders.Builder enabled(boolean enabled)
    `true` if the module will be applied to traffic, `false` to disable. default `true` if unspecified
    Parameters:
      `enabled` - the value of the `enabled` parameter as a `boolean`
    Returns:
      this builder instance

  - ### enabled

    public EndpointRequestHeaders.Builder enabled(Optional<Boolean> enabled)
    `true` if the module will be applied to traffic, `false` to disable. default `true` if unspecified
    Parameters:
      `enabled` - the value of the `enabled` parameter as a `boolean`, wrapped in an `Optional`
    Returns:
      this builder instance

  - ### add

    public EndpointRequestHeaders.Builder add(Map<String,String> add)
    a map of header key to header value that will be injected into the HTTP Request before being sent to the upstream application server
    Parameters:
      `add` - the value of the `add` parameter as a `Map` of `String` to `String`
    Returns:
      this builder instance

  - ### add

    public EndpointRequestHeaders.Builder add(Optional<Map<String,String>> add)
    a map of header key to header value that will be injected into the HTTP Request before being sent to the upstream application server
    Parameters:
      `add` - the value of the `add` parameter as a `Map` of `String` to `String`, wrapped in an `Optional`
    Returns:
      this builder instance

  - ### remove

    public EndpointRequestHeaders.Builder remove(List<String> remove)
    a list of header names that will be removed from the HTTP Request before being sent to the upstream application server
    Parameters:
      `remove` - the value of the `remove` parameter as a `List` of `String`
    Returns:
      this builder instance

  - ### remove

    public EndpointRequestHeaders.Builder remove(Optional<List<String>> remove)
    a list of header names that will be removed from the HTTP Request before being sent to the upstream application server
    Parameters:
      `remove` - the value of the `remove` parameter as a `List` of `String`, wrapped in an `Optional`
    Returns:
      this builder instance

  - ### build

    public EndpointRequestHeaders build()
    Constructs the `EndpointRequestHeaders` instance.
    Returns:
      a new `EndpointRequestHeaders`